Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2022-35583

Published: 22 August 2022

wkhtmlTOpdf 0.12.6 is vulnerable to SSRF which allows an attacker to get initial access into the target's system by injecting iframe tag with initial asset IP address on it's source. This allows the attacker to takeover the whole infrastructure by accessing their internal assets.

Notes

AuthorNote
ccdm94
as of 2023-07-18, no fix for this vulnerability was made available by
upstream. That is because this is not being considered a wkhtmltopdf issue,
but instead an issue with applications using wktohtmlpdf without first
sanitizing input that is user-supplied HTML/JS. In the related GitHub
issue page it is possible to see that this issue is possibly being disputed.
Commit 5426e55 was presented by maintainers as the commit that highlights
the fact that they are aware of this behavior, and consider it to be
expected.

Priority

Medium

Cvss 3 Severity Score

9.8

Score breakdown

Status

Package Release Status
wkhtmltopdf
Launchpad, Ubuntu, Debian
bionic Deferred
(2023-07-18)
focal Deferred
(2023-07-18)
jammy Deferred
(2023-07-18)
kinetic Ignored
(end of life, was deferred [2023-07-18])
lunar Ignored
(end of life, was deferred [2023-07-18])
mantic Deferred
(2023-07-18)
trusty Deferred
(2023-07-18)
upstream Needed

xenial Deferred
(2023-07-18)

Severity score breakdown

Parameter Value
Base score 9.8
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H